<?php
/*
Plugin Name: Woo Charts
Plugin URI: https://essentialplugins.com/
Description: WooCommerce Dashboard WordPress Plugin
Author: Essential Plugins
Author URI: https://essentialplugins.com
Version: 1.8

*/


if (in_array('woocommerce/woocommerce.php', apply_filters('active_plugins', get_option('active_plugins'))))
  {
    if (!class_exists('WC_Charts'))
      {
        /**
         * Localisation
         *
         */
        load_plugin_textdomain('wc_charts', false, dirname(plugin_basename(__FILE__)) . '/');
        class WC_Charts
          {
            public function __construct()
              {
                
                // called only after woocommerce has finished loading
                
                add_action('woocommerce_init', array(
                    &$this,
                    'woocommerce_loaded'
                ));
                
                
                
                // called after all plugins have loaded
                
                add_action('plugins_loaded', array(
                    &$this,
                    'plugins_loaded'
                ));
                
                // called just before the woocommerce template functions are included
                
               
                add_action('admin_menu', 'wcesp_plugin_menu');
                
                
                
                // indicates we are running the admin
                
                if (is_admin())
                  {
                    
                    // ...
                    
                  }
                
                // indicates we are being served over ssl
                
                if (is_ssl())
                  {
                    
                    // ...
                    
                  }
                
                // take care of anything else that needs to be done immediately upon plugin instantiation, here in the constructor
                
              }
            
            /**
             * Take care of anything that needs woocommerce to be loaded.
             * For instance, if you need access to the $woocommerce global
             */
            public function woocommerce_loaded()
              {

              	 if (current_user_can('manage_woocommerce'))
                  {
                    function wcesp_plugin_menu()
                      {
                        $icon_url = plugins_url('/assets/images/chart.png',__FILE__);
                        $position = 59;
                        add_menu_page('Woo Charts', 'WooCharts', 'manage_woocommerce', 'WooCharts-Home', 'wcesp_generate_woochart', $icon_url, $position);
                        add_submenu_page('WooCharts-Home', 'WooCharts-Products', 'Products', 'manage_woocommerce', 'WooCharts-Products', 'wcesp_generate_products_table');
                        add_submenu_page('WooCharts-Home', 'WooCharts-Settings', 'Settings', 'manage_woocommerce', 'WooCharts-Settings', 'wcesp_settings_forms_generate');
                        

                        
                      }
                  }
              


                function wcesp_core_scripts()
                  {
                    
                    
                    
                    
                    if($_GET['page'] == 'WooCharts-Settings' || $_GET['page'] == 'WooCharts-Home' || $_GET['page'] == 'WooCharts-Products' ){

                      wp_enqueue_style('settings_woochart', plugins_url('/assets/css/settings.woochart.css', __FILE__));
                      wp_enqueue_style('daterangepicker_woochart', plugins_url('/assets/css/daterangepicker.css', __FILE__));
                      wp_enqueue_style('bootstrap_woochart', plugins_url('/assets/css/bootstrap.css', __FILE__));
                       wp_enqueue_style('amcharts_export', plugins_url('/assets/amcharts/plugins/export/export.css', __FILE__));
                        wp_enqueue_style('tabs', plugins_url('/assets/css/tabs.css', __FILE__));
                         wp_enqueue_style('fa', plugins_url('/assets/css/font-awesome.min.css', __FILE__));
                          wp_enqueue_style('datatable_css', plugins_url('/assets/css/datatable.css', __FILE__));
                        wp_enqueue_script('wcesp_moment_js', plugins_url('/assets/js/moment.js', __FILE__), array(
                        'jquery'
                    ));

                      wp_enqueue_script('wcesp_bootstrap_js', plugins_url('/assets/js/bootstrap.js', __FILE__), array(
                        'jquery'
                    ));
                  
                    
                    wp_enqueue_script('wcesp_daterange_js', plugins_url('/assets/js/daterangepicker.js', __FILE__), array(
                        'jquery'
                    ));
                    wp_enqueue_script('wcesp_amcharts_js', plugins_url('/assets/amcharts/amcharts.js', __FILE__), array(
                        'jquery'
                    ));
                    wp_enqueue_script('wcesp_amcharts_serial_js', plugins_url('/assets/amcharts/serial.js', __FILE__), array(
                        'jquery'
                    ));
                    wp_enqueue_script('wcesp_amcharts_pie_js', plugins_url('/assets/amcharts/pie.js', __FILE__), array(
                        'jquery'
                    ));
                     wp_enqueue_script('wcesp_bootstrap_js', plugins_url('/assets/js/bootstrap.js', __FILE__), array(
                        'jquery'
                    ));
                 //   wp_enqueue_script('wcesp_amcharts_script_js', plugins_url('/assets/js/script_am.js', __FILE__), array(
                  //      'jquery'
                 //   ));

                      wp_enqueue_script('wcesp_amcharts_responsive_js', plugins_url('/assets/amcharts/plugins/responsive/responsive.js', __FILE__), array(
                        'jquery'
                    ));
                    
                  
                  

 wp_enqueue_script('wcesp_amcharts_theme_none_js', plugins_url('/assets/amcharts/themes/none.js', __FILE__), array(
                        'jquery'
                    ));
 wp_enqueue_script('wcesp_amcharts_theme_light_js', plugins_url('/assets/amcharts/themes/light.js', __FILE__), array(
                        'jquery'
                    ));
 wp_enqueue_script('wcesp_amcharts_theme_dark_js', plugins_url('/assets/amcharts/themes/dark.js', __FILE__), array(
                        'jquery'
                    ));
 wp_enqueue_script('wcesp_amcharts_theme_black_js', plugins_url('/assets/amcharts/themes/black.js', __FILE__), array(
                        'jquery'
                    ));
 wp_enqueue_script('wcesp_amcharts_theme_chalk_js', plugins_url('/assets/amcharts/themes/chalk.js', __FILE__), array(
                        'jquery'
                    ));
 wp_enqueue_script('wcesp_amcharts_theme_patterns_js', plugins_url('/assets/amcharts/themes/patterns.js', __FILE__), array(
                        'jquery'
                    ));
 wp_enqueue_script('wcesp_amcharts_plugin_export_js', plugins_url('/assets/amcharts/plugins/export/export.min.js', __FILE__), array(
                        'jquery'
                    ));

  wp_enqueue_script('wcesp_datatables_js', plugins_url('/assets/js/datatables.js', __FILE__), array(
                        'jquery'
                    ));

    


                    }
                    
                    
                    
                  }
                  add_action('admin_enqueue_scripts', 'wcesp_core_scripts');

                  add_action('wp_ajax_my_action', 'my_ajax_action_function');

function my_ajax_action_function(){

    $reponse = array();
    
         
    $cat_id = $_POST['param'];

global $wpdb;

$query = "SELECT  `ID`,`post_title`,`post_content`,`guid` FROM wp_posts WHERE
post_type='product' and post_status='publish' and ID IN(SELECT object_id
FROM wp_term_relationships WHERE term_taxonomy_id = {$cat_id} and 
term_taxonomy_id IN(SELECT term_taxonomy_id FROM wp_term_taxonomy 
where taxonomy='product_cat'))";

if($cat_id == 0 ){

  $query = "SELECT * FROM {$wpdb->prefix}posts WHERE post_type = 'product'";
}

foreach($wpdb->get_results($query) as $key => $row){

  $pid = $row->ID;
    $pname = $row->post_title;

    $parray[] = array("id" => $pid, "name" => $pname);
}



    header( "Content-Type: application/json" );
    echo json_encode($parray);

    //Don't forget to always exit in the ajax function.
    exit();

}
                
                
           
                
              

                
                // ...
                
              }
            
            /**
             * Take care of anything that needs all plugins to be loaded
             */
            public function plugins_loaded()
              {
               
                
                
           
              }
            
           
            
          }
          function woochart_activate() {
  global $wpdb;
  global $woochart_db_version;
  $woochart_db_version = '1.0';

  $table_name = $wpdb->prefix . 'woochart_data';
  
  $charset_collate = $wpdb->get_charset_collate();

  $sql = "CREATE TABLE $table_name (
    id mediumint(9) NOT NULL AUTO_INCREMENT,
    email varchar(255) NOT NULL,
    woochart_key varchar(255) NOT NULL,
    instance varchar(255) NOT NULL,
    type varchar(255) NOT NULL,
    expiry varchar(255) NOT NULL,
    PRIMARY KEY  (id)
  ) $charset_collate;";

  require_once( ABSPATH . 'wp-admin/includes/upgrade.php' );
  dbDelta( $sql );
  echo $wpdb->last_error;

  
}
register_activation_hook( __FILE__, 'woochart_activate' );
        
        
        
        
        // finally instantiate our plugin class and add it to the set of globals
        
        $GLOBALS['wc_charts'] = new WC_Charts();
        define('Woo_Chart_Path', plugin_dir_path(__FILE__));
        require_once(Woo_Chart_Path . 'includes/core.woocharts.php');
        
        require_once(Woo_Chart_Path . 'includes/class.settings.woocharts.php');

         require_once(Woo_Chart_Path . 'includes/class.functions.woocharts.php');

          require_once(Woo_Chart_Path . 'includes/class.products.woocharts.php');

         
    
      }
  }

  ?>